package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 卖家表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvSellerDao;
import com.heyu.api.data.entity.vv.VvSellerEntity;
import com.heyu.api.data.service.vv.VvSellerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvSellerServiceImpl extends ServiceImpl<VvSellerDao, VvSellerEntity> implements VvSellerService {


    @Autowired
	private VvSellerDao vvSellerDao;



	@Override
	public VvSellerEntity selectVvSellerById(Long id){
		return vvSellerDao.selectVvSellerById(id);
	}



	@Override
	public Long insertVvSeller(VvSellerEntity vvSeller){
		return vvSellerDao.insertVvSeller(vvSeller);
	}



	@Override
	public Long insertOrUpdateVvSeller(VvSellerEntity vvSeller){
		return vvSellerDao.insertOrUpdateVvSeller(vvSeller);
	}



	@Override
	public int updateVvSellerById(VvSellerEntity vvSeller){
		return vvSellerDao.updateVvSellerById(vvSeller);
	}



	@Override
	public int updateCoverVvSellerById(VvSellerEntity vvSeller){
		return vvSellerDao.updateCoverVvSellerById(vvSeller);
	}



	@Override
	public int deleteVvSellerById(Long id){
		return vvSellerDao.deleteVvSellerById(id);
	}



}
